Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Convert files from your own storage or disk.
curl -X POST https://anythingmd.com/api/v1/uploads \ -H "Authorization: Bearer $ANYTHINGMD_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "fileName": "contract.docx", "fileType": "application/vnd.openxmlformats-officedocument.wordprocessingml.document" }'
documentId
uploadUrl
curl -X PUT "<uploadUrl>" --upload-file contract.docx
curl -X POST https://anythingmd.com/api/v1/jobs \ -H "Authorization: Bearer $ANYTHINGMD_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "source": { "type": "document", "documentId": "<documentId>" } }'
"includeImages": true